Index: main/trunk/release-kits/bin/cdrk2
===================================================================
--- main/trunk/release-kits/bin/cdrk2	(revision 21386)
+++ main/trunk/release-kits/bin/cdrk2	(revision 21386)
@@ -0,0 +1,1 @@
+link rk
Index: main/trunk/release-kits/bin/derk
===================================================================
--- main/trunk/release-kits/bin/derk	(revision 21386)
+++ main/trunk/release-kits/bin/derk	(revision 21386)
@@ -0,0 +1,1 @@
+link rk
Index: main/trunk/release-kits/bin/rk
===================================================================
--- main/trunk/release-kits/bin/rk	(revision 21385)
+++ main/trunk/release-kits/bin/rk	(revision 21386)
@@ -1,11 +1,6 @@
 #!/bin/bash
 
-#determine requested release kit
-echo $0
-exit
-
-
-
 function show_title() {
+	echo "RK_HOME: $RK_HOME"
 	echo "O---------------------------------------------O"
 	echo 
@@ -17,60 +12,51 @@
 }
 
-#pre checks
-if [ "$rk_name" == "" ]; then
-	echo "rk_name not set";
-	exit;
-elif [ "$RK_HOME" == "" ]; then
-	echo "RK_HOME not set";
-	exit
-fi
-
 function show_help {
-
 	echo "$rk_name - $rk_fullname"
-	echo "Helps you to create releases from the Repository"
+	echo "Automatically creates Greenstone releases"
 	echo
-	echo "usage: $rk_name [-sim] [-from <target>] [other-args]"
-	echo "	-sim"
-	echo "		simulation only, don't actually do anything"
-	echo
+	echo "usage: $rk_name [-help|-cmd] [ANT_ARGS]"
 	echo "	-help"
 	echo "		show this help screen"
-	echo
-	echo "	-from <target>"
-	echo "		start execution from the target with the given target address"
-	echo
-	echo "	-to <target>"
-	echo "		stop execution just before the target with the given target address"
-	echo
-	echo "	-descend <target>"
-	echo "		execute only the target with the given address, including subtargets"
-	echo
 	echo
 	echo "	-cmd"
 	echo "		show the ant command being used by $rk_name"
 	echo
-	echo "	-properties"
-	echo "		show the properties required/allowed in $rk_name-build.properties"
-
+	echo "	ANT_ARGS"
+	echo "		Additional arguments to be passed to ant"
 }
 
-#cd up a level or two if needed
-if [ ! -e "$rk_name-build.properties" ]; then
-	if [ -e "../$rk_name-build.properties" ]; then
-		RKOLDPWD=`pwd`
-		cd ..
-	elif [ -e "../../$rk_name-build.properties" ]; then
-		RKOLDPWD=`pwd`
-		cd ../..
-	fi
+#determine requested release kit
+rk_name="$(basename $0)"
+export RK_HOME="$(cd "$(dirname "$0")/.." && pwd)"
+
+if [ "$rk_name" == "rk2" ]; then
+	rk_fullname="Release Kit for Greenstone2"
+elif [ "$rk_name" == "rk3" ]; then
+        rk_fullname="Release Kit for Greenstone3"
+else
+	echo "Unrecognised release-kit name '$rk_name'" >&2
+	exit
 fi
 
-#set ANT_HOME
-export ANT_HOME=$RK_HOME/core/ant
+
+#cd up a level or two if needed
+if [ -e "$rk_name-build.properties" ]; then
+	pushd .
+elif [ -e "../$rk_name-build.properties" ]; then
+	pushd ..
+elif [ -e "../../$rk_name-build.properties" ]; then
+	pushd ../..
+else
+	echo "couldn't find file $rk_name-build.properties"
+	echo "it should exist in the top level of the release"
+	exit
+fi
+
+#make sure ant has enough memory
 export ANT_OPTS=-Xmx800M
 
 #create the command
-toexec="ant -lib `pwd`/installer/classes -f $RK_HOME/ant-scripts/build.xml -Dbasedir=`pwd` -D$rk_name.home=$RK_HOME"
+toexec="ant -lib `pwd`/installer/classes -f $RK_HOME/$rk_name/ant-scripts/build.xml -Dbasedir=`pwd` -D$rk_name.home=$RK_HOME"
 
 #pass on the arguments
@@ -89,11 +75,8 @@
 done
 
-if [ "$target" != "" ]; then
-	toexec="$toexec $target"
-fi
-
-#execute (or show the command to be executed)
+#show the command to be executed
 if [ "$show_cmd" == "true" ]; then
 	echo $toexec
+#execute
 else
 	show_title | tee ${rk_name}.out
@@ -101,6 +84,4 @@
 fi
 
-if [ "$RKOLDPWD" != "" ]; then
-	cd $RKOLDPWD
-fi
-
+#go back to original dir
+popd
Index: main/trunk/release-kits/bin/rk2
===================================================================
--- main/trunk/release-kits/bin/rk2	(revision 21386)
+++ main/trunk/release-kits/bin/rk2	(revision 21386)
@@ -0,0 +1,1 @@
+link rk
Index: main/trunk/release-kits/bin/rk3
===================================================================
--- main/trunk/release-kits/bin/rk3	(revision 21386)
+++ main/trunk/release-kits/bin/rk3	(revision 21386)
@@ -0,0 +1,1 @@
+link rk
Index: main/trunk/release-kits/bin/sork2
===================================================================
--- main/trunk/release-kits/bin/sork2	(revision 21386)
+++ main/trunk/release-kits/bin/sork2	(revision 21386)
@@ -0,0 +1,1 @@
+link rk
Index: main/trunk/release-kits/bin/sork3
===================================================================
--- main/trunk/release-kits/bin/sork3	(revision 21386)
+++ main/trunk/release-kits/bin/sork3	(revision 21386)
@@ -0,0 +1,1 @@
+link rk
Index: main/trunk/release-kits/kits/cdrk2/bin/cdrk2
===================================================================
--- main/trunk/release-kits/kits/cdrk2/bin/cdrk2	(revision 21386)
+++ main/trunk/release-kits/kits/cdrk2/bin/cdrk2	(revision 21386)
@@ -0,0 +1,6 @@
+#!/bin/bash
+export rk_name="cdrk2"
+export rk_fullname="CD Release Kit for Greenstone2"
+export RK_HOME="$(cd "$(dirname "$(dirname "$0")")" && pwd)"
+$RK_HOME/linux/rk "$*"
+
Index: main/trunk/release-kits/kits/cdrk2/resources/AUTORUN.INF
===================================================================
--- main/trunk/release-kits/kits/cdrk2/resources/AUTORUN.INF	(revision 21386)
+++ main/trunk/release-kits/kits/cdrk2/resources/AUTORUN.INF	(revision 21386)
@@ -0,0 +1,3 @@
+[autorun]
+open=Greenstone-2.82cd-windows.exe
+icon=Software\core\all\web\images\icon.ico
Index: main/trunk/release-kits/kits/cdrk2/resources/Documented Examples/README.txt
===================================================================
--- main/trunk/release-kits/kits/cdrk2/resources/Documented Examples/README.txt	(revision 21386)
+++ main/trunk/release-kits/kits/cdrk2/resources/Documented Examples/README.txt	(revision 21386)
@@ -0,0 +1,4 @@
+Copy the entire 'documented-examples' folder into the 'collect' folder of your
+Greenstone installation (GSDLHOME/collect) to install the documented example
+collections.
+
Index: main/trunk/release-kits/kits/derk/bin/derk
===================================================================
--- main/trunk/release-kits/kits/derk/bin/derk	(revision 21386)
+++ main/trunk/release-kits/kits/derk/bin/derk	(revision 21386)
@@ -0,0 +1,5 @@
+#!/bin/bash
+export rk_name="derk"
+export rk_fullname="Document Examples Release Kit"
+export RK_HOME="$(cd "$(dirname "$(dirname "$0")")" && pwd)"
+$RK_HOME/linux/rk "$*"
Index: main/trunk/release-kits/kits/derk/resources/build.sh
===================================================================
--- main/trunk/release-kits/kits/derk/resources/build.sh	(revision 21386)
+++ main/trunk/release-kits/kits/derk/resources/build.sh	(revision 21386)
@@ -0,0 +1,30 @@
+#!/bin/bash
+opwd=`pwd`
+source setup.bash
+
+if [ ! -e "collect/documented-examples" ]; then
+	cd collect
+	ln -s ../../documented-examples
+	cd $opwd
+fi
+
+cd collect
+
+for coll in documented-examples/*; do
+	cd $opwd
+
+	if [ -d "collect/$coll/etc" ]; then
+		if [ ! -e "collect/$coll/index" ]; then
+			echo
+			echo "Building collection $coll "
+			echo
+
+			import.pl --removeold $coll && \
+			buildcol.pl --removeold $coll && \
+			rm -rf collect/$coll/index collect/$coll/archives && \
+			mv collect/$coll/building collect/$coll/index || exit 1
+		else
+			echo skipping $coll
+		fi
+	fi
+done
Index: main/trunk/release-kits/kits/rk2/resources/build-demo.sh
===================================================================
--- main/trunk/release-kits/kits/rk2/resources/build-demo.sh	(revision 21386)
+++ main/trunk/release-kits/kits/rk2/resources/build-demo.sh	(revision 21386)
@@ -0,0 +1,7 @@
+#!/bin/bash
+source setup.bash
+import.pl --removeold demo && \
+buildcol.pl --removeold demo && \
+rm -rf collect/demo/index collect/demo/archives && \
+mv collect/demo/building collect/demo/index
+
Index: main/trunk/release-kits/kits/rk2/setup.bat
===================================================================
--- main/trunk/release-kits/kits/rk2/setup.bat	(revision 21386)
+++ main/trunk/release-kits/kits/rk2/setup.bat	(revision 21386)
@@ -0,0 +1,16 @@
+@echo off
+
+pushd %~dp0
+
+if not "%RK2_HOME%" == "" goto already
+set RK2_HOME=%CD%
+set ANT_HOME=%RK2_HOME%\core\ant
+set PATH=%RK2_HOME%\bin;%ANT_HOME%\bin;%PATH%
+echo Done
+goto end
+
+:already
+echo rk2 environment already set up
+
+:end
+popd
Index: main/trunk/release-kits/kits/rk3/bin/rk3
===================================================================
--- main/trunk/release-kits/kits/rk3/bin/rk3	(revision 21386)
+++ main/trunk/release-kits/kits/rk3/bin/rk3	(revision 21386)
@@ -0,0 +1,5 @@
+#!/bin/bash
+export rk_name="rk3"
+export rk_fullname="Release Kit for Greenstone3"
+export RK_HOME="$(cd "$(dirname "$(dirname "$0")")" && pwd)"
+$RK_HOME/linux/rk "$*"
Index: main/trunk/release-kits/kits/rk3/bin/rk3.bat
===================================================================
--- main/trunk/release-kits/kits/rk3/bin/rk3.bat	(revision 21386)
+++ main/trunk/release-kits/kits/rk3/bin/rk3.bat	(revision 21386)
@@ -0,0 +1,21 @@
+@echo off
+
+if "%JAVA_HOME%"=="" (
+ echo Please set JAVA_HOME before running release kit
+ goto end
+)
+if "%RK3_HOME%"=="" (
+ echo Please set RK3_HOME before running release kit
+ goto end
+)
+set ANT_HOME=%RK3_HOME%\core\ant
+
+set CMD=cmd.exe /c %RK3_HOME%\core\ant\bin\ant.bat -f "%RK3_HOME%\ant-scripts\build.xml" -addressing "-Drk3.home=%RK3_HOME%"
+set CMD=%CMD% "-Dbasedir=%CD%"
+set PIPETO="%RK_HOME%\windows\utils\tee.exe" "%CD%\rk3.out"
+
+echo %CMD%
+%CMD% 
+::| %PIPETO%
+
+:end
Index: main/trunk/release-kits/kits/rk3/setup.bat
===================================================================
--- main/trunk/release-kits/kits/rk3/setup.bat	(revision 21386)
+++ main/trunk/release-kits/kits/rk3/setup.bat	(revision 21386)
@@ -0,0 +1,16 @@
+@echo off
+
+pushd %~dp0
+
+if not "%RK3_HOME%" == "" goto already
+set RK3_HOME=%CD%
+set ANT_HOME=%RK3_HOME%\core\ant
+set PATH=%RK3_HOME%\bin;%ANT_HOME%\bin;%PATH%
+echo Done
+goto end
+
+:already
+echo rk3 environment already set up
+
+:end
+popd
Index: main/trunk/release-kits/kits/sork2/bin/sork2
===================================================================
--- main/trunk/release-kits/kits/sork2/bin/sork2	(revision 21386)
+++ main/trunk/release-kits/kits/sork2/bin/sork2	(revision 21386)
@@ -0,0 +1,6 @@
+#!/bin/bash
+export rk_name="sork2"
+export rk_fullname="Source Release Kit for Greenstone2"
+export RK_HOME="$(cd "$(dirname "$(dirname "$0")")" && pwd)"
+$RK_HOME/linux/rk "$*"
+
Index: main/trunk/release-kits/kits/sork3/bin/sork3
===================================================================
--- main/trunk/release-kits/kits/sork3/bin/sork3	(revision 21386)
+++ main/trunk/release-kits/kits/sork3/bin/sork3	(revision 21386)
@@ -0,0 +1,6 @@
+#!/bin/bash
+export rk_name="sork3"
+export rk_fullname="Source Release Kit for Greenstone3"
+export RK_HOME="$(cd "$(dirname "$(dirname "$0")")" && pwd)"
+$RK_HOME/linux/rk "$*"
+
